<template>
    <div>
        <router-link to="/entries/new" class="button is-link">Create Entry</router-link>

        <template v-if="!entries.length">
            <p colspan="4">No data available</p>
        </template>
        <template v-else>
            <table class="table">
                <thead>
                    <tr>
                        <th><p>Check in:</p></th>
                        <th><p>Check out:</p></th>
                        <th><p>Actions</p></th>
                    </tr>
                </thead>
                <tbody>
                        <tr v-for="entry in entries" :key="entry.id">
                            <td>{{ entry.check_in }}</td>
                            <td>{{ entry.check_out }}</td>
                            <td>
                                <router-link :to="`/entries/${entry.id}`">Edit</router-link>
                                <a @click="delete(entry.id)">Delete</a>
                            </td>
                        </tr>
                </tbody>
            </table>
        </template>
    </div>
</template>

<script>
    export default {
        name: 'entries-list',
        mounted() {
            this.$store.dispatch('getEntries');
        },
        computed: {
            entries() {
                return this.$store.getters.entries
            }
        },
        methods: {
            delete (id) {
                axios.delete(`/api/users/${this.currentUser.name}/entries/${id}`, {
                    headers: {
                        "Authorization": `Bearer ${this.currentUser.token}`
                    }
                })
                .then((res) => {

                });
            }
        }
    }
</script>